[yelp/wip/kill-gnome-common: 1/8] Stop using gnome-autogen.sh
- From: David King <davidk src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [yelp/wip/kill-gnome-common: 1/8] Stop using gnome-autogen.sh
- Date: Wed, 28 Jan 2015 16:52:48 +0000 (UTC)
commit 3411e49d1646f578f47904b4e891a0b2f632cf04
Author: David King <amigadave amigadave com>
Date: Wed Jan 28 13:28:15 2015 +0000
Stop using gnome-autogen.sh
https://wiki.gnome.org/Projects/GnomeCommon/Migration
https://bugzilla.gnome.org/show_bug.cgi?id=631370
autogen.sh | 44 +++++++++++++++++++++++++++++++++++---------
1 files changed, 35 insertions(+), 9 deletions(-)
---
diff --git a/autogen.sh b/autogen.sh
index 7b831d6..f14e826 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,16 +4,42 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-PKG_NAME=Yelp
+(test -f $srcdir/configure.ac) || {
+ echo "**Error**: Directory "\`$srcdir\'" does not look like the top-level project directory"
+ exit 1
+}
+
+PKG_NAME=`autoconf --trace "AC_INIT:$1" "$srcdir/configure.ac"`
-if ! test -f $srcdir/src/yelp.c; then
- echo "**Error**: Directory '$srcdir' does not look like the yelp source directory"
- exit 1
+if [ "$#" = 0 -a "x$NOCONFIGURE" = "x" ]; then
+ echo "**Warning**: I am going to run \`configure' with no arguments." >&2
+ echo "If you wish to pass any to it, please specify them on the" >&2
+ echo \`$0\'" command line." >&2
+ echo "" >&2
fi
-which gnome-autogen.sh || {
- echo "You need to install gnome-common package"
- exit 1
-}
+# if the AC_CONFIG_MACRO_DIR() macro is used, create that directory
+# This is a automake bug fixed in automake 1.13.2
+# See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=13514
+m4dir=`autoconf --trace 'AC_CONFIG_MACRO_DIR:$1'`
+if [ -n "$m4dir" ]; then
+ mkdir -p $m4dir
+fi
+
+set -x
+
+gtkdocize --copy || exit 1
+intltoolize --force --copy --automake || exit 1
+autoreconf --verbose --force --install -Wno-portability || exit 1
+
+if [ "$NOCONFIGURE" = "" ]; then
+ $srcdir/configure "$@" || exit 1
+
+ if [ "$1" = "--help" ]; then exit 0 else
+ echo "Now type \`make\' to compile $PKG_NAME" || exit 1
+ fi
+else
+ echo "Skipping configure process."
+fi
-USE_GNOME2_MACROS=1 . gnome-autogen.sh
+set +x
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]